RTRecord (dnsjava documentation)
Date: 2013-04-10

org.xbill.DNS

## Class RTRecord

- java.lang.Object
- - org.xbill.DNS.Record
  - - org.xbill.DNS.RTRecord

- All Implemented Interfaces:
    Serializable, Cloneable, Comparable

      public class RTRecord
      extends Record

  Route Through Record - lists a route preference and intermediate host.
  Author:
    Brian Wellington
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Name` | `nameField`
    `protected int` | `u16Field`

    - ### Fields inherited from class org.xbill.DNS.Record

      `dclass, name, ttl, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RTRecord(Name name, int dclass, long ttl, int preference, Name intermediateHost)` Creates an RT Record from the given data

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Name` | `getIntermediateHost()` Gets the host to use as a router.
    `protected Name` | `getNameField()`
    `int` | `getPreference()` Gets the preference of the route.
    `protected int` | `getU16Field()`

    - ### Methods inherited from class org.xbill.DNS.Record

      `byteArrayFromString, byteArrayToString, compareTo, equals, fromString, fromString, fromWire, getAdditionalName, getDClass, getName, getRRsetType, getTTL, getType, hashCode, newRecord, newRecord, newRecord, newRecord, rdataToString, rdataToWireCanonical, sameRRset, toString, toWire, toWireCanonical, unknownToString, withName`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### u16Field

          protected int u16Field

    - #### nameField

          protected Name nameField

  - ### Constructor Detail

    - #### RTRecord

          public RTRecord(Name name,
                  int dclass,
                  long ttl,
                  int preference,
                  Name intermediateHost)

      Creates an RT Record from the given data
      Parameters:
        `preference` - The preference of the route. Smaller numbers indicate more preferred routes.
        `intermediateHost` - The domain name of the host to use as a router.

  - ### Method Detail

    - #### getPreference

          public int getPreference()

      Gets the preference of the route.

    - #### getIntermediateHost

          public Name getIntermediateHost()

      Gets the host to use as a router.

    - #### getU16Field

          protected int getU16Field()

    - #### getNameField

          protected Name getNameField()